body {
    font-family: Arial, sans-serif;
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: #FFF;
}

.container {
    display: flex;
    justify-content: space-between;
    padding: 20px 40px;
    box-sizing: border-box;
    flex: 1;
}

.calculator, .numbers-list {
    width: 30%;
    padding: 20px;
    background-color: #fff;
    border: 3px solid #000;
}

input{font-size: 15px;}

.numbers-list {
    width: 60%;
}

.printer{background: #FFF; color: #000;}
.printer:hover{background: #000; color: #FFF;}

#instructions {
    text-align: justify;
}

.calculator {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

#display {
    font-size: 36px;
    text-align: right;
    margin-bottom: 30px;
    padding: 8px;
    border: none;
    border-radius: 5px;
    background-color: #000;
    color: #FFF;
}

.selector {
    margin-top: 38px;
    text-align: right;
}
#button-options {
    font-size: 14px;
}

.buttons {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}

button {
    height: 80px;
    font-size: 25px;
    background-color: #FFF;
    border-radius: 5px;
    cursor: pointer;
}

button:disabled {
    background-color: #FFF;
    cursor: not-allowed;
    border: 2px solid #DDD;
    color: #DDD;
}
button:not(:disabled) {
    border: 3px solid #000;
}
.buttons button:hover:not(:disabled) {
    background-color: #CCC; /* Mantener el color de fondo gris (#CCC) al pasar el cursor en los botones de la calculadora */
    color: #000; /* Cambiar el color de texto a negro al pasar el cursor en los botones de la calculadora */
}


.numbers-list {
    height: 100%;
}

.numbers-list h3 {
    text-align: center;
}

.numbers-list ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.numbers-list li {
    padding: 10px;
    border: 1px solid #000;
    margin-bottom: 10px;
    background-color: #FFF;
}

.nume {
    padding-right: 10px;
}

form {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 10px;
}

label {
    flex: 1 1 auto;
    text-align: right;
    margin-right: 10px;
}

input, button {
    flex: 3 1 auto;
    padding: 8px;
    border: 1px solid #000;
}

button[type="button"] {
    flex: 1 1 auto;
    height: auto;
}

.tab-container {
    display: flex;
    margin-bottom: 20px;
}

.tab-button {
    padding: 10px 20px;
    cursor: pointer;
    background-color: #FFF;
    border: none;
    outline: none;
    font-size: 14px;
    height: 40px;
    border-radius: 0px;
    color: #000; /* Color de texto por defecto */
}

.tab-button:hover{
    background-color: #CCC; /* Cambia el fondo a negro al pasar el cursor */
    color: #000; /* Cambia el color de texto a blanco al pasar el cursor */
}

.tab-button.active {
    background-color: #000; /* Cambia el fondo a negro al pasar el cursor */
    color: #FFF; /* Cambia el color de texto a blanco al pasar el cursor */
    cursor: default;
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: block;
}

#operation-history {
    margin-top: 20px;
    padding: 10px;
    border: 1px solid #000;
    background-color: #F0F0F0;
}

button#btn-clear {
    background-color: #ba3b3b; /* Rojo para la tecla C */
    color: #FFFFFF;
}

button#btn-backspace {
    background-color: #ffcc66; /* Amarillo para la tecla de borrar el último número */
        color: #000;
}

button#btn-clear:hover {
    background-color: #832929; /* Rojo para la tecla C */
}

button#btn-backspace:hover {
    background-color: #b28e4d; /* Amarillo para la tecla de borrar el último número */
    color: #000;
}

button#btn-equal {
    grid-column: span 2; /* Ancho de 2 columnas para el botón de igual (=) */
}

#target-number{font-size: 20px; width: 150px;}
#print{font-size: 12px; width: 150px;}




      input[type=number] {
        /*for absolutely positioning spinners*/
        position: relative; 
        padding: 5px;
        padding-right: 25px;
      }

      input[type=number]::-webkit-inner-spin-button,
      input[type=number]::-webkit-outer-spin-button {
        opacity: 1;
      }

      input[type=number]::-webkit-outer-spin-button, 
      input[type=number]::-webkit-inner-spin-button {
        -webkit-appearance: inner-spin-button !important;
        width: 25px;
        position: absolute;
        top: 0;
        right: 0;
        height: 100%;
      }







@media (max-width: 768px) {
    .container {
        flex-direction: column;
        align-items: center;
    }

    .calculator, .numbers-list {
        width: 100%;
        margin-bottom: 20px;
        font-size: 16px;
    }

    button {
        height: 70px;
        font-size: 18px;
    }
}
